import { dynamicRouter } from "@/subsystem/router/dynamicRouter";
import pinia from "@/framework/store";
import {useSettingsStore } from "@/framework/store/modules/settings";

const layout=useSettingsStore(pinia).currentLayout

/**生成动态路由 */
export const generateDynamicRouter = (menu:any) => {
  menu.component=layout
  menu.children.forEach(c => {
    //c.component=() => import('@/framework/views/ext/index.vue')
  });
  return menu
}

/**获取子系统路由 */
export const getSubSystemRouter = () => {
  dynamicRouter.forEach(o => {
    o.component=layout
  });
  return dynamicRouter
}

